commit:     e578524f6255bd11f57370163927b71e77be8059
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat Mar 27 18:01:52 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sat Mar 27 18:01:52 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e578524f

dev-python/trio-asyncio: bump

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/trio-asyncio/Manifest                   |  1 +
 dev-python/trio-asyncio/files/no-pytest-runner.py  | 10 ++++++
 dev-python/trio-asyncio/trio-asyncio-0.12.0.ebuild | 36 ++++++++++++++++++++++
 3 files changed, 47 insertions(+)

diff --git a/dev-python/trio-asyncio/Manifest b/dev-python/trio-asyncio/Manifest
index 7d22a1234..d7fbc9f78 100644
--- a/dev-python/trio-asyncio/Manifest
+++ b/dev-python/trio-asyncio/Manifest
@@ -1 +1,2 @@
 DIST trio-asyncio-0.11.0.tar.gz 67424 BLAKE2B 
2d38b621eb5698521ba58c06295f6e2337821c64a35c4938ed9ffd4a01285c95df9c512d9922e88afbdff7c6fc0ef028784a1f189fbc9255ea46ee346b2f892c
 SHA512 
718098f7ab18b168dd6a926d9bb64b636e06e6a1ea8e557ba4bf7782db16bb7fcccf226412284bfbc5183ff6df7624fc1a7ac73dd20bc841ffffd5e766e84d0a
+DIST trio-asyncio-0.12.0.tar.gz 72508 BLAKE2B 
f2dad48e20dadb81f603f8e7edf5d108f5c1dec332e65599e06495a9e3b919d20a15e3cb0d4f06c46a0e844cd79a88c172043b5cae2bc632661679a9ac854c04
 SHA512 
da630bf95d0736efd419a7b84d3fcb55f4440ef5f3ac584f36b2eca9188145d4581b20d4842b1322b07f176822f7c76e32ae57ac71899ea2445ce1783bcd382c

diff --git a/dev-python/trio-asyncio/files/no-pytest-runner.py 
b/dev-python/trio-asyncio/files/no-pytest-runner.py
new file mode 100644
index 000000000..6eec59da4
--- /dev/null
+++ b/dev-python/trio-asyncio/files/no-pytest-runner.py
@@ -0,0 +1,10 @@
+--- a/setup.py 2021-03-27 18:54:07.104800689 +0100
++++ b/setup.py 2021-03-27 18:54:23.197091635 +0100
+@@ -77,7 +77,6 @@
+     include_package_data=True,
+     python_requires=">=3.6",  # temporary, for RTD
+     keywords=["async", "io", "trio", "asyncio", "trio-asyncio"],
+-    setup_requires=['pytest-runner'],
+     tests_require=['pytest >= 5.4', 'pytest-trio >= 0.6', 'outcome'],
+     classifiers=[
+         "Development Status :: 4 - Beta",

diff --git a/dev-python/trio-asyncio/trio-asyncio-0.12.0.ebuild 
b/dev-python/trio-asyncio/trio-asyncio-0.12.0.ebuild
new file mode 100644
index 000000000..21d6778cd
--- /dev/null
+++ b/dev-python/trio-asyncio/trio-asyncio-0.12.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="a re-implementation of the asyncio mainloop on top of Trio"
+HOMEPAGE="
+       https://github.com/python-trio/trio-asyncio
+       https://pypi.org/project/trio-asyncio
+"
+SRC_URI="https://github.com/python-trio/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/outcome[${PYTHON_USEDEP}]
+       dev-python/sniffio[${PYTHON_USEDEP}]
+       >=dev-python/trio-0.15.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+       ${RDEPEND}
+       test? (
+               >=dev-python/pytest-5.4[${PYTHON_USEDEP}]
+               >=dev-python/pytest-trio-0.6[${PYTHON_USEDEP}]
+       )
+"
+PATCHES=( "${FILESDIR}/no-pytest-runner.patch" )
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source

Reply via email to